import { Module } from '@nestjs/common';
import { UserModule } from './users/users.module';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Users } from './entity/user.entity';

@Module({
    imports: [
        TypeOrmModule.forRoot({
            type: "mssql",
            host: "intpointer.com",
            port: 1433,
            username: "myh",
            password: "20231103#MS_Sql",
            database: "Elm",
            entities: [Users],
            synchronize: false,
            logging: false,
            "options": {
                "encrypt": false,
                "enableArithAbort": true
            }
        }),
        UserModule,
    ],
})

export class AppModule { }